TARGET             = dime
TEMPLATE           = lib
INCLUDEPATH       += ../include;
unix:INCLUDEPATH  += $(ZLIBDIR)/include;
win32:INCLUDEPATH += $(ZLIBDIR);
win32:DEFINES     += DIME_NOT_DLL

HEADERS            = ../include/dime/Basic.h \
                     ../include/dime/Base.h \
                     ../include/dime/Input.h \
                     ../include/dime/Output.h \
                     ../include/dime/Model.h \
                     ../include/dime/RecordHolder.h \
	             ../include/dime/Layer.h \
	             ../include/dime/State.h \
                     ../include/dime/util/Array.h \
                     ../include/dime/util/Dict.h \
                     ../include/dime/util/Linear.h \
                     ../include/dime/util/MemHandler.h \
                     ../include/dime/util/BSPTree.h \
                     ../include/dime/util/Box.h \
                     ../include/dime/records/Record.h \
                     ../include/dime/records/StringRecord.h \ 
                     ../include/dime/records/Int8Record.h \
                     ../include/dime/records/Int16Record.h \
                     ../include/dime/records/Int32Record.h \	  
                     ../include/dime/records/DoubleRecord.h \
                     ../include/dime/records/HexRecord.h \	  
                     ../include/dime/records/FloatRecord.h \
                     ../include/dime/sections/Section.h \
                     ../include/dime/sections/UnknownSection.h \
                     ../include/dime/sections/EntitiesSection.h \
                     ../include/dime/sections/BlocksSection.h \
                     ../include/dime/sections/TablesSection.h \
                     ../include/dime/sections/HeaderSection.h \
                     ../include/dime/sections/ClassesSection.h \
                     ../include/dime/sections/ObjectsSection.h \
                     ../include/dime/classes/Class.h \
                     ../include/dime/classes/UnknownClass.h \
                     ../include/dime/objects/Object.h \
                     ../include/dime/objects/UnknownObject.h \
                     ../include/dime/entities/Entity.h \
                     ../include/dime/entities/UnknownEntity.h \
                     ../include/dime/entities/FaceEntity.h \
                     ../include/dime/entities/ExtrusionEntity.h \
	             ../include/dime/entities/3DFace.h \
                     ../include/dime/entities/Polyline.h \
                     ../include/dime/entities/Vertex.h \
                     ../include/dime/entities/Line.h \
                     ../include/dime/entities/Point.h \
                     ../include/dime/entities/Block.h \
                     ../include/dime/entities/Insert.h \
                     ../include/dime/entities/Solid.h \
                     ../include/dime/entities/Trace.h \
                     ../include/dime/entities/Circle.h \
	             ../include/dime/entities/Ellipse.h \
                     ../include/dime/entities/Arc.h \
                     ../include/dime/entities/LWPolyline.h \
	             ../include/dime/entities/Spline.h \
	             ../include/dime/entities/Text.h \
                     ../include/dime/tables/Table.h \ 
                     ../include/dime/tables/TableEntry.h \
                     ../include/dime/tables/UnknownTable.h \
                     ../include/dime/tables/UCSTable.h \
                     ../include/dime/tables/LayerTable.h \
                     ../include/dime/convert/convert.h

SOURCES            = ../src/Base.cpp \
                     ../src/Basic.cpp \
                     ../src/Input.cpp \
                     ../src/Output.cpp \
                     ../src/Model.cpp \
                     ../src/RecordHolder.cpp \
	             ../src/Layer.cpp \
                     ../src/State.cpp \
                     ../src/util/Array.cpp \
                     ../src/util/Dict.cpp \
                     ../src/util/Linear.cpp \
	             ../src/util/MemHandler.cpp \
                     ../src/util/BSPTree.cpp \
                     ../src/util/Box.cpp \
                     ../src/records/Record.cpp \
                     ../src/records/StringRecord.cpp \
                     ../src/records/Int8Record.cpp \
                     ../src/records/Int16Record.cpp \
                     ../src/records/Int32Record.cpp \
                     ../src/records/DoubleRecord.cpp \
                     ../src/records/HexRecord.cpp \
                     ../src/records/FloatRecord.cpp \
                     ../src/sections/Section.cpp \
                     ../src/sections/UnknownSection.cpp \
                     ../src/sections/EntitiesSection.cpp \
                     ../src/sections/BlocksSection.cpp \
                     ../src/sections/TablesSection.cpp \
                     ../src/sections/HeaderSection.cpp \
                     ../src/sections/ClassesSection.cpp \
                     ../src/sections/ObjectsSection.cpp \
                     ../src/classes/Class.cpp \
                     ../src/classes/UnknownClass.cpp \
                     ../src/objects/Object.cpp \
                     ../src/objects/UnknownObject.cpp \
                     ../src/entities/Entity.cpp \
                     ../src/entities/UnknownEntity.cpp \
                     ../src/entities/FaceEntity.cpp \
                     ../src/entities/ExtrusionEntity.cpp \
	             ../src/entities/3DFace.cpp \
                     ../src/entities/Polyline.cpp \
                     ../src/entities/Vertex.cpp \
                     ../src/entities/Line.cpp \
                     ../src/entities/Point.cpp \
                     ../src/entities/Block.cpp \
                     ../src/entities/Insert.cpp \
                     ../src/entities/Solid.cpp \
                     ../src/entities/Text.cpp \
                     ../src/entities/Trace.cpp \
                     ../src/entities/Circle.cpp \
	             ../src/entities/Ellipse.cpp \
 	             ../src/entities/Spline.cpp \
                     ../src/entities/Arc.cpp \
                     ../src/entities/LWPolyline.cpp \
                     ../src/tables/Table.cpp \
                     ../src/tables/TableEntry.cpp \
                     ../src/tables/UnknownTable.cpp \
                     ../src/tables/UCSTable.cpp \
                     ../src/tables/LayerTable.cpp \
                     ../src/convert/3dfaceconvert.cpp \
                     ../src/convert/arcconvert.cpp \
                     ../src/convert/circleconvert.cpp \
                     ../src/convert/convert.cpp \
                     ../src/convert/ellipseconvert.cpp \
                     ../src/convert/layerdata.cpp \
                     ../src/convert/lineconvert.cpp \
                     ../src/convert/linesegment.cpp \
                     ../src/convert/lwpolylineconvert.cpp \
                     ../src/convert/pointconvert.cpp \
                     ../src/convert/polylineconvert.cpp \
                     ../src/convert/solidconvert.cpp \
                     ../src/convert/traceconvert.cpp
